/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace Org.Apache.Rocketmq
{
    public class SessionCredentials
    {
        public SessionCredentials(string accessKey, string accessSecret)
        {
            Preconditions.CheckArgument(null != accessKey, "accessKey should not be null");
            Preconditions.CheckArgument(null != accessSecret, "accessSecret should not be null");
            AccessKey = accessKey;
            AccessSecret = accessSecret;
        }

        public SessionCredentials(string accessKey, string accessSecret, string securityToken)
        {
            Preconditions.CheckArgument(null != accessKey, "accessKey should not be null");
            Preconditions.CheckArgument(null != accessSecret, "accessSecret should not be null");
            Preconditions.CheckArgument(null != securityToken, "securityToken should not be null");
            AccessKey = accessKey;
            AccessSecret = accessSecret;
            SecurityToken = securityToken;
        }

        public string AccessKey { get; }

        public string AccessSecret { get; }

        public string SecurityToken { get; }
    }
}